vec4 SimpleReflection(vec3 viewPos,vec3 normal,float dither){
	vec4 color=vec4(0.);
	
	vec4 pos=Raytrace(depthtex1,viewPos,normal,dither,4,1.,.1,2.);
	float border=clamp(1.-pow(cdist(pos.st),50.),0.,1.);
	
	if(pos.z<1.-1e-5){
		color.a=texture2D(gaux2,pos.st).a;
		if(color.a>.001)color.rgb=texture2D(gaux2,pos.st).rgb;
		
		color.a*=border;
	}
	
	return color;
}